Debian Bug report logs - #597586
unblock: bluez/4.70-1

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Nobuhiro Iwamatsu <iwamatsu@debian.org>

Date: Tue, 21 Sep 2010 01:30:01 UTC

Severity: normal

Tags: moreinfo

Done: Mehdi Dogguy <mehdi@dogguy.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#597586; Package release.debian.org. (Tue, 21 Sep 2010 01:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 21 Sep 2010 01:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock: bluez/4.70-1
Date: Tue, 21 Sep 2010 10:27:23 +0900
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: unblock

Please unblock package bluez.

bluez of squeeze is 4.66-1. This package of version has some problem.
Version 4.70 is a release with a lot of fixes.
I show below a revision in Upstream from 4.66 to 4.70.

ver 4.70:
        Fix incoming call indication handling when in WAITING state.
        Fix various SDP related qualification test case issues.
        Fix logic to write EIR when SDP records are changed.
        Fix UTF-8 validity check for remote names in EIR.
        Add support for UUID-128 extended inquiry response.
        Add service UUIDs from EIR to the DeviceFound signal.
        Add fast connectable feature for Handsfree profile.
        Add HCI command and event definitions for AMP support.
        Add firmware download support for Qualcommh devices.
        Add host level support for Atheros AR300x device.
        Add initial support of ATT and GATT for basic rate.

ver 4.69:
        Fix issue with calling g_option_context_free() twice.
        Fix inconsistencies with initial LE commands and events.
        Add support for telephony ClearLastNumber method.
        Add support for network server interface.

ver 4.68:
        Fix initialization of adapters in RAW mode.
        Fix signal strength for HFP in Maemo's telephony support.
        Add support for following the radio state via Maemo's MCE.
        Add initial set of LE commands and events definitions.
        Add mode option for L2CAP sockets to the BtIO API.

ver 4.67:
        Fix issue with authentication reply when bonding already completed.
        Fix issue with not canceling authentication when bonding fails.
        Fix issue with changed combination keys and temporary storage.
        Fix issue with sdp_get_supp_feat library function.
        Fix issue with missing unblock on device removal.
        Fix issue with not waiting for mode change completion.
        Add ARMv6 optimized version of analysis filter for SBC encoder.

unblock bluez/4.70-1




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#597586; Package release.debian.org. (Tue, 21 Sep 2010 09:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 21 Sep 2010 09:06:08 GMT) Full text and rfc822 format available.

Message #10 received at 597586@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Nobuhiro Iwamatsu <iwamatsu@debian.org>, 597586@bugs.debian.org
Subject: Re: Bug#597586: unblock: bluez/4.70-1
Date: Tue, 21 Sep 2010 10:59:47 +0200
On 09/21/2010 03:27 AM, Nobuhiro Iwamatsu wrote:
> Package: release.debian.org Severity: normal User: 
> release.debian.org@packages.debian.org Usertags: unblock
> 
> Please unblock package bluez.
> 
> bluez of squeeze is 4.66-1. This package of version has some
> problem. Version 4.70 is a release with a lot of fixes. I show below
> a revision in Upstream from 4.66 to 4.70.
> 
> [...]
> 

Hrm… The diff is quite big:

 122 files changed, 10395 insertions(+), 1883 deletions(-)

and the changelogs fix some bugs in the packaging and one wishlist bug
(to have 4.67 uploaded). Could explain how this update satisfies the
freeze criterias announced a while ago on d-d-a? Did you try to backport
those fixes instead of uploading new upstream releases with new features?

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Added tag(s) moreinfo. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sun, 26 Sep 2010 10:30:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#597586; Package release.debian.org. (Fri, 01 Oct 2010 21:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 01 Oct 2010 21:42:05 GMT) Full text and rfc822 format available.

Message #17 received at 597586@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: Nobuhiro Iwamatsu <iwamatsu@debian.org>, 597586@bugs.debian.org
Subject: Re: Bug#597586: unblock: bluez/4.70-1
Date: Sat, 2 Oct 2010 06:43:26 +0900
[Message part 1 (text/plain, inline)]
Hi,

On Tue, Sep 21, 2010 at 10:59:47AM +0200, Mehdi Dogguy wrote:
> On 09/21/2010 03:27 AM, Nobuhiro Iwamatsu wrote:
> > Package: release.debian.org Severity: normal User: 
> > release.debian.org@packages.debian.org Usertags: unblock
> > 
> > Please unblock package bluez.
> > 
> > bluez of squeeze is 4.66-1. This package of version has some
> > problem. Version 4.70 is a release with a lot of fixes. I show below
> > a revision in Upstream from 4.66 to 4.70.
> > 
> > [...]
> > 
> 
> Hrm… The diff is quite big:
> 
>  122 files changed, 10395 insertions(+), 1883 deletions(-)
> 
> and the changelogs fix some bugs in the packaging and one wishlist bug
> (to have 4.67 uploaded). Could explain how this update satisfies the
> freeze criterias announced a while ago on d-d-a? 

Yes, but I up-loaded it because I used 4.70 easily from 4.69 for the user 
(user can use some USB dongle). 
However, I had to have consulted here before it up-loaded it.
 
> Did you try to backport
> those fixes instead of uploading new upstream releases with new features?
> 
Hmm, No. I didn't do this.

But I want to install version 4.69 to squeeze with #593172 ,#592982 and #568301. 
Beacause this version (in 4.67) was fixed API.

Can I upload a version that fixes #593172 ,#592982 and #568301 to testing?

Best regards,
  Nobuhiro
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#597586; Package release.debian.org. (Sun, 03 Oct 2010 13:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 03 Oct 2010 13:18:03 GMT) Full text and rfc822 format available.

Message #22 received at 597586@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: 597586@bugs.debian.org
Cc: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Subject: Re: Bug#597586: unblock: bluez/4.70-1
Date: Sun, 03 Oct 2010 15:16:09 +0200
On 10/01/2010 11:43 PM, Nobuhiro Iwamatsu wrote:
>> Did you try to backport those fixes instead of uploading new
>> upstream releases with new features?
>>
> Hmm, No. I didn't do this.
>

Then, I won't accept 4.70 in Squeeze.

> But I want to install version 4.69 to squeeze with #593172 ,#592982
> and #568301. Beacause this version (in 4.67) was fixed API.
>
> Can I upload a version that fixes #593172 ,#592982 and #568301 to
> testing?
>

If you can prepare a fix for those, please send a debdiff here first for
review. (Don't upload yet!).

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#597586; Package release.debian.org. (Mon, 04 Oct 2010 00:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 04 Oct 2010 00:15:06 GMT) Full text and rfc822 format available.

Message #27 received at 597586@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: 597586@bugs.debian.org
Subject: Re: Bug#597586: unblock: bluez/4.70-1
Date: Mon, 4 Oct 2010 09:11:50 +0900
[Message part 1 (text/plain, inline)]
Hi,

2010/10/3 Mehdi Dogguy <mehdi@dogguy.org>:
> On 10/01/2010 11:43 PM, Nobuhiro Iwamatsu wrote:
>>>
>>> Did you try to backport those fixes instead of uploading new
>>> upstream releases with new features?
>>>
>> Hmm, No. I didn't do this.
>>
>
> Then, I won't accept 4.70 in Squeeze.
>
OK, I agree.

>> But I want to install version 4.69 to squeeze with #593172 ,#592982
>> and #568301. Beacause this version (in 4.67) was fixed API.
>>
>> Can I upload a version that fixes #593172 ,#592982 and #568301 to
>> testing?
>>
>
> If you can prepare a fix for those, please send a debdiff here first for
> review. (Don't upload yet!).
>

I attached two diff. Could you review these patch?

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6
[from_4.66-1_to_bluez_4.69-2.diff (text/x-patch, attachment)]
[from_bluez_4.69-1_to_bluez_4.69-2.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#597586; Package release.debian.org. (Mon, 04 Oct 2010 01:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 04 Oct 2010 01:09:03 GMT) Full text and rfc822 format available.

Message #32 received at 597586@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: 597586@bugs.debian.org
Subject: Re: Bug#597586: unblock: bluez/4.70-1
Date: Mon, 4 Oct 2010 10:06:16 +0900
[Message part 1 (text/plain, inline)]
Hi,

Sorry , I didn't change distribution from unstable to testing.
I updated and attached new patches.

Please review these patches.

Best regards,
  Nobuhiro

2010/10/4 Nobuhiro Iwamatsu <iwamatsu@debian.org>:
> Hi,
>
> 2010/10/3 Mehdi Dogguy <mehdi@dogguy.org>:
>> On 10/01/2010 11:43 PM, Nobuhiro Iwamatsu wrote:
>>>>
>>>> Did you try to backport those fixes instead of uploading new
>>>> upstream releases with new features?
>>>>
>>> Hmm, No. I didn't do this.
>>>
>>
>> Then, I won't accept 4.70 in Squeeze.
>>
> OK, I agree.
>
>>> But I want to install version 4.69 to squeeze with #593172 ,#592982
>>> and #568301. Beacause this version (in 4.67) was fixed API.
>>>
>>> Can I upload a version that fixes #593172 ,#592982 and #568301 to
>>> testing?
>>>
>>
>> If you can prepare a fix for those, please send a debdiff here first for
>> review. (Don't upload yet!).
>>
>
> I attached two diff. Could you review these patch?
>
> Best regards,
>  Nobuhiro
>
> --
> Nobuhiro Iwamatsu
>    iwamatsu at {nigauri.org / debian.org}
>    GPG ID: 40AD1FA6
>



-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6
[from_bluez_4.66-1_to_bluez_4.69-2.diff.gz (application/x-gzip, attachment)]
[from_bluez_4.69-1_to_bluez_4.69-2.diff.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#597586; Package release.debian.org. (Sat, 16 Oct 2010 22:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 16 Oct 2010 22:03:03 GMT) Full text and rfc822 format available.

Message #37 received at 597586@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Cc: 597586@bugs.debian.org
Subject: Re: unblock: bluez/4.70-1
Date: Sat, 16 Oct 2010 16:55:56 -0500
Nobuhiro Iwamatsu wrote:

> But I want to install version 4.69 to squeeze with #593172 ,#592982 and #568301. 
> Beacause this version (in 4.67) was fixed API.

 - 593172: init script tries to start service when removed but not purged
 - 592982, 568301: stale file in modprobe.d has the wrong filename
 - 589727: fix the return value of read_device_alias

Could you elaborate on the API change?

The beginning of a review follows.  Please forgive my ignorance.

> ChangeLog                    |   22 +
> Makefile.in                  |  189 ++++++------
> configure                    |   76 +++--
[...]
> debian/libbluetooth3.symbols |  336 +++++++++++-----------

API change.

[...]
> doc/attribute-api.txt        |   97 ++++++
> doc/network-api.txt          |   38 +-
[...]
> 73 files changed, 3478 insertions(+), 1614 deletions(-)

Still pretty large, and the bulk is real code changes (fixes, hopefully).

> +++ bluez-4.69/ChangeLog	2010-07-13 16:08:59.000000000 +0900
> @@ -1,3 +1,25 @@
> +ver 4.69:
> +	Fix issue with calling g_option_context_free() twice.

Sounds useful.

> +	Fix inconsistencies with initial LE commands and events.
> +	Add support for telephony ClearLastNumber method.
> +	Add support for network server interface.
> +
> +ver 4.68:
> +	Fix initialization of adapters in RAW mode.
> +	Fix signal strength for HFP in Maemo's telephony support.
> +	Add support for following the radio state via Maemo's MCE.
> +	Add initial set of LE commands and events definitions.
> +	Add mode option for L2CAP sockets to the BtIO API.

What are these about?

> +
> +ver 4.67:
> +	Fix issue with authentication reply when bonding already completed.
> +	Fix issue with not canceling authentication when bonding fails.
> +	Fix issue with changed combination keys and temporary storage.
> +	Fix issue with sdp_get_supp_feat library function.
> +	Fix issue with missing unblock on device removal.
> +	Fix issue with not waiting for mode change completion.

These sound like useful, unrisky changes.

> +	Add ARMv6 optimized version of analysis filter for SBC encoder.
> +

IIRC Debian can be run on armv4.  Have you checked that this will not
break bluez on such machines?

> --- bluez-4.66/Makefile.am	2010-05-23 21:47:19.000000000 +0900
> +++ bluez-4.69/Makefile.am	2010-07-13 16:08:59.000000000 +0900
> @@ -53,7 +53,7 @@
>  
>  lib_libbluetooth_la_SOURCES = $(lib_headers) \
>  					lib/bluetooth.c lib/hci.c lib/sdp.c
> -lib_libbluetooth_la_LDFLAGS = -version-info 11:0:8
> +lib_libbluetooth_la_LDFLAGS = -version-info 12:0:9

ABI-compatible, just some new ABI (phew).

[...]
> --- bluez-4.66/audio/a2dp.c	2010-06-12 16:45:14.000000000 +0900
> +++ bluez-4.69/audio/a2dp.c	2010-07-03 04:40:38.000000000 +0900
> @@ -112,14 +112,14 @@
>  {
>  	setup->ref++;
>  
> -	DBG("setup_ref(%p): ref=%d", setup, setup->ref);
> +	DBG("%p: ref=%d", setup, setup->ref);
[...]

Some no-op noise.

> --- bluez-4.66/audio/avdtp.c	2010-06-12 16:45:14.000000000 +0900
> +++ bluez-4.69/audio/avdtp.c	2010-07-03 04:40:38.000000000 +0900
> @@ -807,7 +803,8 @@
> -	avdtp_close(session, stream, FALSE);
> +	if (avdtp_close(session, stream, FALSE) < 0)
> +		error("stream_timeout: closing AVDTP stream failed");

Yay. :)

> --- bluez-4.66/audio/gstbluetooth.c	2010-01-10 05:52:17.000000000 +0900
> +++ bluez-4.69/audio/gstbluetooth.c	2010-07-03 04:40:38.000000000 +0900
> @@ -50,21 +50,24 @@

Looks sane and useful.

> --- bluez-4.66/audio/manager.c	2010-06-12 16:45:14.000000000 +0900
> +++ bluez-4.69/audio/manager.c	2010-07-03 04:40:38.000000000 +0900
> @@ -351,12 +350,18 @@
[...]
> +	if (!network) {
> +		sdp_record_free(record);
> +		return NULL;
> +	}

Likewise.

> --- bluez-4.66/audio/pcm_bluetooth.c	2010-01-10 05:52:17.000000000 +0900
> +++ bluez-4.69/audio/pcm_bluetooth.c	2010-07-03 04:40:38.000000000 +0900
> @@ -1007,7 +1007,7 @@
>  	snd_pcm_sframes_t ret = 0;
>  	unsigned int bytes_left;
>  	int frame_size, encoded;
> -	size_t written;
> +	ssize_t written;
>  	uint8_t *buff;

For the future: it can be useful to use -p/--show-c-function to make
this kind of hunk more self-explanatory.  Will file a bug for debdiff
if I remember.

> --- bluez-4.66/audio/telephony-maemo6.c	2010-05-23 21:47:19.000000000 +0900
> +++ bluez-4.69/audio/telephony-maemo6.c	2010-07-13 16:08:59.000000000 +0900
> @@ -134,11 +134,14 @@
>  static struct {
>  	char *operator_name;
>  	uint8_t status;
> -	int32_t signals_bar;
> +	int32_t signal_bars;

Recalibrating.  The dbus message has been renamed from
SignalStrengthChanged to SignalBarsChanged to go along with that;
are any Debian packages affected?

[...]
> @@ -1896,8 +1909,8 @@
>  				"OperatorNameChanged"))
>  		handle_operator_name_changed(msg);
>  	else if (dbus_message_is_signal(msg, CSD_CSNET_SIGNAL,
> -				"SignalStrengthChanged"))
> -		handle_signal_strength_changed(msg);
> +				"SignalBarsChanged"))
> +		handle_signal_bars_changed(msg);
>  	else if (dbus_message_is_signal(msg, "org.freedesktop.Hal.Device",
>  					"PropertyModified"))
>  		handle_hal_property_modified(msg);

[...]
> @@ -1978,6 +1991,12 @@
>  
>  void telephony_exit(void)
>  {
> +	g_free(net.operator_name);
> +	net.operator_name = NULL;
> +
> +	g_free(last_dialed_number);
> +	last_dialed_number = NULL;

Plugging memory leaks.

[...]
> --- bluez-4.66/configure.ac	2010-06-12 16:45:14.000000000 +0900
> +++ bluez-4.69/configure.ac	2010-07-13 16:08:59.000000000 +0900
> @@ -1,5 +1,5 @@
>  AC_PREREQ(2.60)
> -AC_INIT(bluez, 4.66)
> +AC_INIT(bluez, 4.69)

Fair enough.

> --- bluez-4.66/debian/bluez.bluetooth.init	2010-10-04 09:09:31.000000000 +0900
> +++ bluez-4.69/debian/bluez.bluetooth.init	2010-10-04 09:09:32.000000000 +0900
> @@ -39,6 +39,8 @@
>  
>  SSD_OPTIONS="--oknodo --quiet --exec $DAEMON"
>  
> +test -f /usr/sbin/bluetoothd || exit 0
> +
>  test -f /etc/default/bluetooth && . /etc/default/bluetooth
>  test -f /etc/default/rcS && . /etc/default/rcS

Fixes bug#593172.

> --- bluez-4.66/debian/bluez.preinst	2010-10-04 09:09:31.000000000 +0900
> +++ bluez-4.69/debian/bluez.preinst	2010-10-04 09:09:32.000000000 +0900
> @@ -48,7 +48,7 @@
>      # now that modprobe whines remove this old conffile, will be
>      # http://bugs.debian.org/523050
>      base="/etc/modprobe.d/bluez"
> -    rm_conffile "$base"
> +    rm_conffile bluez "$base"

Typo fix.  Fixes bug#592982, 568301.

[...]
> --- bluez-4.66/debian/libbluetooth3.symbols	2010-10-04 09:09:31.000000000 +0900
> +++ bluez-4.69/debian/libbluetooth3.symbols	2010-10-04 09:09:32.000000000 +0900
> @@ -31,169 +31,173 @@
>   hci_for_each_dev@Base 4.43
>   hci_get_route@Base 4.43
>   hci_inquiry@Base 4.43
> - hci_lmtostr@Base 4.43
> + hci_lmtostr@Base 4.66
> - hci_lptostr@Base 4.43
> + hci_lptostr@Base 4.66
[...]

Fixing typos?  Or what prompted this?  The changely for 4.67 just says
"Update libbluetooth3.symbols".

Unfortunately this makes it hard to find what symbols are new amid all the
noise.

> --- bluez-4.66/doc/attribute-api.txt	1970-01-01 09:00:00.000000000 +0900
> +++ bluez-4.69/doc/attribute-api.txt	2010-07-12 13:22:20.000000000 +0900
> @@ -0,0 +1,97 @@
> +BlueZ D-Bus Attribute API description

Yay. :)

[...]
> --- bluez-4.66/doc/network-api.txt	2010-02-13 04:26:48.000000000 +0900
> +++ bluez-4.69/doc/network-api.txt	2010-07-13 16:08:59.000000000 +0900
> @@ -60,35 +60,29 @@
>  			Indicates the connection role when available.
>  
>  
> -Network Hub/Peer/Router hierarchy
> -=================
> +Network server hierarchy
> +========================
>  
>  Service		org.bluez
> -Interface	org.bluez.network.{Hub, Peer, Router}
> +Interface	org.bluez.NetworkServer

Is this just bringing the documentation up to date or was there an API
change?

> --- bluez-4.66/lib/bluetooth.c	2010-05-23 21:47:19.000000000 +0900
> +++ bluez-4.69/lib/bluetooth.c	2010-07-12 13:22:20.000000000 +0900
> @@ -474,6 +474,12 @@
>  		return "Belkin International, Inc.";
>  	case 93:
>  		return "Realtek Semiconductor Corporation";
> +	case 94:
> +		return "Stonestreet One, LLC";
> +	case 95:
> +		return "Wicentric, Inc.";
> +	case 96:
> +		return "RivieraWaves S.A.S";

New company IDs (just cosmetic).

> --- bluez-4.66/lib/hci.c	2010-05-23 21:47:19.000000000 +0900
> +++ bluez-4.69/lib/hci.c	2010-07-13 16:08:59.000000000 +0900
> @@ -1093,6 +1093,7 @@
>  	hci_filter_set_ptype(HCI_EVENT_PKT,  &nf);
>  	hci_filter_set_event(EVT_CMD_STATUS, &nf);
>  	hci_filter_set_event(EVT_CMD_COMPLETE, &nf);
> +	hci_filter_set_event(EVT_LE_META_EVENT, &nf);
>  	hci_filter_set_event(r->event, &nf);
>  	hci_filter_set_opcode(opcode, &nf);
>  	if (setsockopt(dd, SOL_HCI, HCI_FILTER, &nf, sizeof(nf)) < 0)
[...]

Out of my depth.  Presumably this exposes more events from already
supported bluetooth devices?

My editor tells me I'm only 5% of the way into the diff, so I'm
stopping here.  Have you looked over the changes and can you
summarize their impact?

The motivating examples (bug#593172, bug#592982, return value from
read_device_alias) amount to about 10 lines and this is many more
than that.

Thanks,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#597586; Package release.debian.org. (Wed, 20 Oct 2010 05:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 20 Oct 2010 05:27:02 GMT) Full text and rfc822 format available.

Message #42 received at 597586@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 597586@bugs.debian.org
Subject: Re: unblock: bluez/4.70-1
Date: Wed, 20 Oct 2010 14:24:57 +0900
Hi,

2010/10/17 Jonathan Nieder <jrnieder@gmail.com>:
> Nobuhiro Iwamatsu wrote:
>
>> But I want to install version 4.69 to squeeze with #593172 ,#592982 and #568301.
>> Beacause this version (in 4.67) was fixed API.
>
>  - 593172: init script tries to start service when removed but not purged
>  - 592982, 568301: stale file in modprobe.d has the wrong filename
>  - 589727: fix the return value of read_device_alias
>
> Could you elaborate on the API change?

In 4.67, this fix of the return value of read_device_alias.
Yes, other API is added that you are as follows and point it out.

>
> The beginning of a review follows.  Please forgive my ignorance.
>
>> ChangeLog                    |   22 +
>> Makefile.in                  |  189 ++++++------
>> configure                    |   76 +++--
> [...]
>> debian/libbluetooth3.symbols |  336 +++++++++++-----------
>
> API change.

This mean that new API was added.

>
> [...]
>> doc/attribute-api.txt        |   97 ++++++
>> doc/network-api.txt          |   38 +-
> [...]
>> 73 files changed, 3478 insertions(+), 1614 deletions(-)
>
> Still pretty large, and the bulk is real code changes (fixes, hopefully).

Thank you.

>
>> +++ bluez-4.69/ChangeLog      2010-07-13 16:08:59.000000000 +0900
>> @@ -1,3 +1,25 @@
>> +ver 4.69:
>> +     Fix issue with calling g_option_context_free() twice.
>
> Sounds useful.
>
>> +     Fix inconsistencies with initial LE commands and events.

Rename and change type in le_set_event_mask_cp structer.

>> +     Add support for telephony ClearLastNumber method.
>
Update for maemo.

> +     Add support for network server interface.

Add new API for D-Bus.


>> +
>> +ver 4.68:
>> +     Fix initialization of adapters in RAW mode.

The user can use some adapters which were not usable so far.

>> +     Fix signal strength for HFP in Maemo's telephony support.
>> +     Add support for following the radio state via Maemo's MCE.

Fix for maemo.

>> +     Add initial set of LE commands and events definitions.
added some code for nitialization .

>> +     Add mode option for L2CAP sockets to the BtIO API.

Add new mode for L2CAP and BT_IO_OPT_MODE.
Update local function of l2cap_set.

>
> What are these about?
>
>> +
>> +ver 4.67:
>> +     Fix issue with authentication reply when bonding already completed.
>> +     Fix issue with not canceling authentication when bonding fails.
>> +     Fix issue with changed combination keys and temporary storage.
>> +     Fix issue with sdp_get_supp_feat library function.
>> +     Fix issue with missing unblock on device removal.
>> +     Fix issue with not waiting for mode change completion.
>
> These sound like useful, unrisky changes.
>
>> +     Add ARMv6 optimized version of analysis filter for SBC encoder.
>> +
>
> IIRC Debian can be run on armv4.  Have you checked that this will not
> break bluez on such machines?

When SBC_BUILD_WITH_ARMV6_SUPPORT is defined, this becomes effective.
This does not become effective in Debian.
I checked on porterbox.

>
>> --- bluez-4.66/Makefile.am    2010-05-23 21:47:19.000000000 +0900
>> +++ bluez-4.69/Makefile.am    2010-07-13 16:08:59.000000000 +0900
>> @@ -53,7 +53,7 @@
>>
>>  lib_libbluetooth_la_SOURCES = $(lib_headers) \
>>                                       lib/bluetooth.c lib/hci.c lib/sdp.c
>> -lib_libbluetooth_la_LDFLAGS = -version-info 11:0:8
>> +lib_libbluetooth_la_LDFLAGS = -version-info 12:0:9
>
> ABI-compatible, just some new ABI (phew).
>
> [...]
>> --- bluez-4.66/audio/a2dp.c   2010-06-12 16:45:14.000000000 +0900
>> +++ bluez-4.69/audio/a2dp.c   2010-07-03 04:40:38.000000000 +0900
>> @@ -112,14 +112,14 @@
>>  {
>>       setup->ref++;
>>
>> -     DBG("setup_ref(%p): ref=%d", setup, setup->ref);
>> +     DBG("%p: ref=%d", setup, setup->ref);
> [...]
>
> Some no-op noise.
>
>> --- bluez-4.66/audio/avdtp.c  2010-06-12 16:45:14.000000000 +0900
>> +++ bluez-4.69/audio/avdtp.c  2010-07-03 04:40:38.000000000 +0900
>> @@ -807,7 +803,8 @@
>> -     avdtp_close(session, stream, FALSE);
>> +     if (avdtp_close(session, stream, FALSE) < 0)
>> +             error("stream_timeout: closing AVDTP stream failed");
>
> Yay. :)
>
>> --- bluez-4.66/audio/gstbluetooth.c   2010-01-10 05:52:17.000000000 +0900
>> +++ bluez-4.69/audio/gstbluetooth.c   2010-07-03 04:40:38.000000000 +0900
>> @@ -50,21 +50,24 @@
>
> Looks sane and useful.
>
>> --- bluez-4.66/audio/manager.c        2010-06-12 16:45:14.000000000 +0900
>> +++ bluez-4.69/audio/manager.c        2010-07-03 04:40:38.000000000 +0900
>> @@ -351,12 +350,18 @@
> [...]
>> +     if (!network) {
>> +             sdp_record_free(record);
>> +             return NULL;
>> +     }
>
> Likewise.
>
>> --- bluez-4.66/audio/pcm_bluetooth.c  2010-01-10 05:52:17.000000000 +0900
>> +++ bluez-4.69/audio/pcm_bluetooth.c  2010-07-03 04:40:38.000000000 +0900
>> @@ -1007,7 +1007,7 @@
>>       snd_pcm_sframes_t ret = 0;
>>       unsigned int bytes_left;
>>       int frame_size, encoded;
>> -     size_t written;
>> +     ssize_t written;
>>       uint8_t *buff;
>
> For the future: it can be useful to use -p/--show-c-function to make
> this kind of hunk more self-explanatory.  Will file a bug for debdiff
> if I remember.
>
>> --- bluez-4.66/audio/telephony-maemo6.c       2010-05-23 21:47:19.000000000 +0900
>> +++ bluez-4.69/audio/telephony-maemo6.c       2010-07-13 16:08:59.000000000 +0900
>> @@ -134,11 +134,14 @@
>>  static struct {
>>       char *operator_name;
>>       uint8_t status;
>> -     int32_t signals_bar;
>> +     int32_t signal_bars;
>
> Recalibrating.  The dbus message has been renamed from
> SignalStrengthChanged to SignalBarsChanged to go along with that;
> are any Debian packages affected?

No, This is not affected.
This looks like a revision for maemo6.

>
> [...]
>> @@ -1896,8 +1909,8 @@
>>                               "OperatorNameChanged"))
>>               handle_operator_name_changed(msg);
>>       else if (dbus_message_is_signal(msg, CSD_CSNET_SIGNAL,
>> -                             "SignalStrengthChanged"))
>> -             handle_signal_strength_changed(msg);
>> +                             "SignalBarsChanged"))
>> +             handle_signal_bars_changed(msg);
>>       else if (dbus_message_is_signal(msg, "org.freedesktop.Hal.Device",
>>                                       "PropertyModified"))
>>               handle_hal_property_modified(msg);
>
> [...]
>> @@ -1978,6 +1991,12 @@
>>
>>  void telephony_exit(void)
>>  {
>> +     g_free(net.operator_name);
>> +     net.operator_name = NULL;
>> +
>> +     g_free(last_dialed_number);
>> +     last_dialed_number = NULL;
>
> Plugging memory leaks.
>
> [...]
>> --- bluez-4.66/configure.ac   2010-06-12 16:45:14.000000000 +0900
>> +++ bluez-4.69/configure.ac   2010-07-13 16:08:59.000000000 +0900
>> @@ -1,5 +1,5 @@
>>  AC_PREREQ(2.60)
>> -AC_INIT(bluez, 4.66)
>> +AC_INIT(bluez, 4.69)
>
> Fair enough.
>
>> --- bluez-4.66/debian/bluez.bluetooth.init    2010-10-04 09:09:31.000000000 +0900
>> +++ bluez-4.69/debian/bluez.bluetooth.init    2010-10-04 09:09:32.000000000 +0900
>> @@ -39,6 +39,8 @@
>>
>>  SSD_OPTIONS="--oknodo --quiet --exec $DAEMON"
>>
>> +test -f /usr/sbin/bluetoothd || exit 0
>> +
>>  test -f /etc/default/bluetooth && . /etc/default/bluetooth
>>  test -f /etc/default/rcS && . /etc/default/rcS
>
> Fixes bug#593172.
>
>> --- bluez-4.66/debian/bluez.preinst   2010-10-04 09:09:31.000000000 +0900
>> +++ bluez-4.69/debian/bluez.preinst   2010-10-04 09:09:32.000000000 +0900
>> @@ -48,7 +48,7 @@
>>      # now that modprobe whines remove this old conffile, will be
>>      # http://bugs.debian.org/523050
>>      base="/etc/modprobe.d/bluez"
>> -    rm_conffile "$base"
>> +    rm_conffile bluez "$base"
>
> Typo fix.  Fixes bug#592982, 568301.
>
> [...]
>> --- bluez-4.66/debian/libbluetooth3.symbols   2010-10-04 09:09:31.000000000 +0900
>> +++ bluez-4.69/debian/libbluetooth3.symbols   2010-10-04 09:09:32.000000000 +0900
>> @@ -31,169 +31,173 @@
>>   hci_for_each_dev@Base 4.43
>>   hci_get_route@Base 4.43
>>   hci_inquiry@Base 4.43
>> - hci_lmtostr@Base 4.43
>> + hci_lmtostr@Base 4.66
>> - hci_lptostr@Base 4.43
>> + hci_lptostr@Base 4.66
> [...]
>
> Fixing typos?  Or what prompted this?  The changely for 4.67 just says
> "Update libbluetooth3.symbols".

This revised the error by lintian .

>
> Unfortunately this makes it hard to find what symbols are new amid all the
> noise.
>
>> --- bluez-4.66/doc/attribute-api.txt  1970-01-01 09:00:00.000000000 +0900
>> +++ bluez-4.69/doc/attribute-api.txt  2010-07-12 13:22:20.000000000 +0900
>> @@ -0,0 +1,97 @@
>> +BlueZ D-Bus Attribute API description
>
> Yay. :)
>
> [...]
>> --- bluez-4.66/doc/network-api.txt    2010-02-13 04:26:48.000000000 +0900
>> +++ bluez-4.69/doc/network-api.txt    2010-07-13 16:08:59.000000000 +0900
>> @@ -60,35 +60,29 @@
>>                       Indicates the connection role when available.
>>
>>
>> -Network Hub/Peer/Router hierarchy
>> -=================
>> +Network server hierarchy
>> +========================
>>
>>  Service              org.bluez
>> -Interface    org.bluez.network.{Hub, Peer, Router}
>> +Interface    org.bluez.NetworkServer
>
> Is this just bringing the documentation up to date or was there an API
> change?

Yah,  interface of D-Bus was changed.
This is a big change.

>
>> --- bluez-4.66/lib/bluetooth.c        2010-05-23 21:47:19.000000000 +0900
>> +++ bluez-4.69/lib/bluetooth.c        2010-07-12 13:22:20.000000000 +0900
>> @@ -474,6 +474,12 @@
>>               return "Belkin International, Inc.";
>>       case 93:
>>               return "Realtek Semiconductor Corporation";
>> +     case 94:
>> +             return "Stonestreet One, LLC";
>> +     case 95:
>> +             return "Wicentric, Inc.";
>> +     case 96:
>> +             return "RivieraWaves S.A.S";
>
> New company IDs (just cosmetic).
>
>> --- bluez-4.66/lib/hci.c      2010-05-23 21:47:19.000000000 +0900
>> +++ bluez-4.69/lib/hci.c      2010-07-13 16:08:59.000000000 +0900
>> @@ -1093,6 +1093,7 @@
>>       hci_filter_set_ptype(HCI_EVENT_PKT,  &nf);
>>       hci_filter_set_event(EVT_CMD_STATUS, &nf);
>>       hci_filter_set_event(EVT_CMD_COMPLETE, &nf);
>> +     hci_filter_set_event(EVT_LE_META_EVENT, &nf);
>>       hci_filter_set_event(r->event, &nf);
>>       hci_filter_set_opcode(opcode, &nf);
>>       if (setsockopt(dd, SOL_HCI, HCI_FILTER, &nf, sizeof(nf)) < 0)
> [...]
>
> Out of my depth.  Presumably this exposes more events from already
> supported bluetooth devices?

Yes , this supports more Bluetooth Low Energy(LE) event.
>
> My editor tells me I'm only 5% of the way into the diff, so I'm
> stopping here.  Have you looked over the changes and can you
> summarize their impact?
>
> The motivating examples (bug#593172, bug#592982, return value from
> read_device_alias) amount to about 10 lines and this is many more
> than that.
>

Yes, you are right.
OK, I will re-send the patch that backported a necessary revision to minimum.

Thank for your comments and review.

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#597586; Package release.debian.org. (Wed, 27 Oct 2010 00:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 27 Oct 2010 00:42:03 GMT) Full text and rfc822 format available.

Message #47 received at 597586@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: 597586@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#597586: unblock: bluez/4.70-1
Date: Wed, 27 Oct 2010 09:38:27 +0900
[Message part 1 (text/plain, inline)]
Hi, Mehdi.

I pickuped patches from 4.67 and backport to 4.66.
All patches are bug fixes. These revise an existing problem. The
contents are as follows.

bluez (4.66-2) testing; urgency=low

  * Update debian/bluez.bluetooth.init (Closes: #593172).
  * Update debian/bluez.preinst (Closes: #592982, #568301).
  * Backports some pathces from upstream.
    - 0204-Fix-memory-leak.patch
      Fix memory leak in hfp_ag_record function.
    - 0206-Fix-missing-error-check-to-dbus_message_get_args.patch
      Fix missing error check to dbus_message_get_args.
    - 0207-Fix-attempt-to-use-a-potential-negative-array-index.patch
      Fix attempt to use a potential negative array index.
    - 0208-Fix-sdp_get_supp_feat-function.patch
      Fix data allocation size to get in sdp_get_supp_feat.
    - 0209-Fix-unblock-removed-device.patch
      Fix unblock removed device.
    - 0213-Fix-not-freeing-memory-on-driver-exit.patch
      Fix not freeing memory on driver exit.
    - 0214-Fix-possible-memory-leaks-on-ofono-driver.patch
      Fix memory leak by add address check.
    - 0215-Fix-not-cancelling-authentication-when-bonding-fails.patch
      Fix not cancelling authentication when bonding fails
    - 0217-Fix-sending-authentication-reply-when-bonding-is-alr.patch
      When bonding is already completed, sending authentication reply.
    - 0218-Fix-use-of-errno-after-calling-some-function-that-co.patch
      Fix return erro code in device_authentication_requested function.
    - 0227-core-fix-emitting-pairable-when-there-could-still-oc.patch
      Move error check code.
    - 0229-Fix-the-return-value-of-read_device_alias.patch
      Fix the return value of read_device_alias function.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 21 Oct 2010 17:57:43 +0900

I made the package which applied these patches and checked the work
with several machines.
There is not the problem for the moment.

Could you check these patch?

Best regards,
  Nobuhiro

2010/10/4 Nobuhiro Iwamatsu <iwamatsu@debian.org>:
> Hi,
>
> Sorry , I didn't change distribution from unstable to testing.
> I updated and attached new patches.
>
> Please review these patches.
>
> Best regards,
>  Nobuhiro
>
> 2010/10/4 Nobuhiro Iwamatsu <iwamatsu@debian.org>:
>> Hi,
>>
>> 2010/10/3 Mehdi Dogguy <mehdi@dogguy.org>:
>>> On 10/01/2010 11:43 PM, Nobuhiro Iwamatsu wrote:
>>>>>
>>>>> Did you try to backport those fixes instead of uploading new
>>>>> upstream releases with new features?
>>>>>
>>>> Hmm, No. I didn't do this.
>>>>
>>>
>>> Then, I won't accept 4.70 in Squeeze.
>>>
>> OK, I agree.
>>
>>>> But I want to install version 4.69 to squeeze with #593172 ,#592982
>>>> and #568301. Beacause this version (in 4.67) was fixed API.
>>>>
>>>> Can I upload a version that fixes #593172 ,#592982 and #568301 to
>>>> testing?
>>>>
>>>
>>> If you can prepare a fix for those, please send a debdiff here first for
>>> review. (Don't upload yet!).
>>>
>>
>> I attached two diff. Could you review these patch?
>>
>> Best regards,
>>  Nobuhiro
>>
>> --
>> Nobuhiro Iwamatsu
>>    iwamatsu at {nigauri.org / debian.org}
>>    GPG ID: 40AD1FA6
>>
>
>
>
> --
> Nobuhiro Iwamatsu
>    iwamatsu at {nigauri.org / debian.org}
>    GPG ID: 40AD1FA6
>



-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6
[4.66-2.debdiff (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#597586; Package release.debian.org. (Mon, 01 Nov 2010 23:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 01 Nov 2010 23:33:03 GMT) Full text and rfc822 format available.

Message #52 received at 597586@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Nobuhiro Iwamatsu <iwamatsu@debian.org>, 597586@bugs.debian.org
Cc: Mehdi Dogguy <mehdi@dogguy.org>, Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#597586: unblock: bluez/4.70-1
Date: Tue, 2 Nov 2010 00:31:26 +0100
[Message part 1 (text/plain, inline)]
On Wed, Oct 27, 2010 at 09:38:27 +0900, Nobuhiro Iwamatsu wrote:

> Hi, Mehdi.
> 
> I pickuped patches from 4.67 and backport to 4.66.
> All patches are bug fixes. These revise an existing problem. The
> contents are as follows.
> 
> bluez (4.66-2) testing; urgency=low
> 
>   * Update debian/bluez.bluetooth.init (Closes: #593172).
>   * Update debian/bluez.preinst (Closes: #592982, #568301).

That's not "Update", that's "Fix init script to be a nop when the package is
removed", and "Fix removal of obsolete conffile", respectively.  Please
use meaningful changelog entries.

>   * Backports some pathces from upstream.
>     - 0204-Fix-memory-leak.patch
>       Fix memory leak in hfp_ag_record function.
>     - 0206-Fix-missing-error-check-to-dbus_message_get_args.patch
>       Fix missing error check to dbus_message_get_args.
>     - 0207-Fix-attempt-to-use-a-potential-negative-array-index.patch
>       Fix attempt to use a potential negative array index.
>     - 0208-Fix-sdp_get_supp_feat-function.patch
>       Fix data allocation size to get in sdp_get_supp_feat.
>     - 0209-Fix-unblock-removed-device.patch
>       Fix unblock removed device.
>     - 0213-Fix-not-freeing-memory-on-driver-exit.patch
>       Fix not freeing memory on driver exit.
>     - 0214-Fix-possible-memory-leaks-on-ofono-driver.patch
>       Fix memory leak by add address check.
>     - 0215-Fix-not-cancelling-authentication-when-bonding-fails.patch
>       Fix not cancelling authentication when bonding fails
>     - 0217-Fix-sending-authentication-reply-when-bonding-is-alr.patch
>       When bonding is already completed, sending authentication reply.
>     - 0218-Fix-use-of-errno-after-calling-some-function-that-co.patch
>       Fix return erro code in device_authentication_requested function.
>     - 0227-core-fix-emitting-pairable-when-there-could-still-oc.patch
>       Move error check code.
>     - 0229-Fix-the-return-value-of-read_device_alias.patch
>       Fix the return value of read_device_alias function.
> 
>  -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 21 Oct 2010 17:57:43 +0900
> 
> I made the package which applied these patches and checked the work
> with several machines.
> There is not the problem for the moment.
> 
> Could you check these patch?
> 
This looks fine, thanks.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#597586; Package release.debian.org. (Tue, 02 Nov 2010 05:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 02 Nov 2010 05:27:06 GMT) Full text and rfc822 format available.

Message #57 received at 597586@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 597586@bugs.debian.org, Mehdi Dogguy <mehdi@dogguy.org>, Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#597586: unblock: bluez/4.70-1
Date: Tue, 2 Nov 2010 14:24:13 +0900
Hi, Julien.

2010/11/2 Julien Cristau <jcristau@debian.org>:
> On Wed, Oct 27, 2010 at 09:38:27 +0900, Nobuhiro Iwamatsu wrote:
>
>> Hi, Mehdi.
>>
>> I pickuped patches from 4.67 and backport to 4.66.
>> All patches are bug fixes. These revise an existing problem. The
>> contents are as follows.
>>
>> bluez (4.66-2) testing; urgency=low
>>
>>   * Update debian/bluez.bluetooth.init (Closes: #593172).
>>   * Update debian/bluez.preinst (Closes: #592982, #568301).
>
> That's not "Update", that's "Fix init script to be a nop when the package is
> removed", and "Fix removal of obsolete conffile", respectively.  Please
> use meaningful changelog entries.

OK, I fixed changelog. Thank you.
Can I upload this version to testing?

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#597586; Package release.debian.org. (Tue, 02 Nov 2010 09:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 02 Nov 2010 09:06:02 GMT) Full text and rfc822 format available.

Message #62 received at 597586@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Cc: 597586@bugs.debian.org, Mehdi Dogguy <mehdi@dogguy.org>, Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#597586: unblock: bluez/4.70-1
Date: Tue, 2 Nov 2010 10:02:41 +0100
[Message part 1 (text/plain, inline)]
On Tue, Nov  2, 2010 at 14:24:13 +0900, Nobuhiro Iwamatsu wrote:

> Can I upload this version to testing?
> 
Yes, please go ahead, and let me know when the package has been
accepted.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Reply sent to Mehdi Dogguy <mehdi@dogguy.org>:
You have taken responsibility. (Thu, 04 Nov 2010 18:48:10 GMT) Full text and rfc822 format available.

Notification sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Bug acknowledged by developer. (Thu, 04 Nov 2010 18:48:10 GMT) Full text and rfc822 format available.

Message #67 received at 597586-done@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Julien Cristau <jcristau@debian.org>, 597586-done@bugs.debian.org
Cc: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Subject: Re: Bug#597586: unblock: bluez/4.70-1
Date: Thu, 04 Nov 2010 19:41:24 +0100
On 11/02/2010 10:02 AM, Julien Cristau wrote:
> On Tue, Nov  2, 2010 at 14:24:13 +0900, Nobuhiro Iwamatsu wrote:
> 
>> Can I upload this version to testing?
>>
> Yes, please go ahead, and let me know when the package has been
> accepted.
> 

Looks like it has been uploaded and accepted.
I added an approval hint for bluez/4.66-2.

Cheers,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 03 Dec 2010 07:36:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 05:04:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.